##
##  aft.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2010 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         aft
Summary:      Almost Free Text
URL:          http://www.maplefish.com/todd/aft.html
Vendor:       Todd Coram
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        PLUS
Group:        Typesetting
License:      GPL
Version:      5.098
Release:      20100911

#   list of sources
Source0:      http://www.maplefish.com/todd/aft-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, perl
PreReq:       OpenPKG, openpkg >= 20100101, perl

%description
    AFT is a document preparation system. It is mostly free form meaning that
    there is little intrusive markup. AFT source documents look a lot like
    plain old ASCII text.  AFT has a few rules for structuring your document
    and these rules have more to do with formatting your text rather than
    embedding commands.  Right now, AFT produces pretty good (weblint-able)
    HTML, XHTML, LaTeX, lout and RTF. It can, in fact, be coerced into
    producing all types of output (e.g. roll-your-own XML). All that needs to
    be done is to edit a rule file. You can even customize your own HTML rule
    files for specialized output.

%track
    prog aft = {
        version   = %{version}
        url       = http://www.maplefish.com/todd/aft.html
        regex     = aft-(\d+\.\d+)\.tar\.gz
    }

%prep
    %setup -q

%build
    %{l_shtool} subst \
        -e 's;$(docdir)/backends;$(datadir)/@PACKAGE@/backends;g' \
        -e 's;$(docdir)/examples;$(datadir)/@PACKAGE@/doc;g' \
        -e 's;$(datadir)/doc/@PACKAGE@;$(datadir)/@PACKAGE@/doc;g' \
        Makefile.in
    ./configure \
        --prefix=%{l_prefix}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

